Summary: Terminal emulator for the X Window System
Name: xterm
Version: 271
Release: 1
URL: http://dickey.his.com/xterm
License: MIT
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: patch, pkg-config
BuildRequires: Xaw3d-devel >= 1.5

Requires:      Xaw3d >= 1.5

Source0: ftp://invisible-island.net/xterm/%{name}-%{version}.tgz
Source1: ftp://invisible-island.net/xterm/%{name}-%{version}.tgz.asc
Source2: ftp://invisible-island.net/xterm/16colors.txt

Patch1: %{name}-245-resources.patch
Patch2: %{name}-261-desk.patch

%define x11_app_defaults_dir %{_libdir}/X11/app-defaults

%description
The xterm program is a terminal emulator for the X Window System. It
provides DEC VT102 and Tektronix 4014 compatible terminals for
programs that can't use the window system directly.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch1 -p1 -b .resources
%patch2 -p1 -b .desk


%build
./configure \
    --prefix=%{_prefix} \
    --with-app-defaults=%{x11_app_defaults_dir} \
    --with-x \
    --with-pkg-config \
    --with-Xaw3d \
    --enable-256-color \
    --enable-88-color \
    --enable-exec-xterm \
    --disable-freetype \
    --enable-logging \
    --without-pcre \
    --enable-rightbar \
    --disable-toolbar \
    --enable-mini-luit \
    --enable-luit \
    --enable-wide-chars

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cp -fp %{SOURCE2} 16colors.txt

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications
cp xterm.desktop ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/linux/bin
cd usr/linux/bin
ln -sf ../../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc xterm.log.html ctlseqs.txt 16colors.txt README.i18n THANKS
%{_bindir}/*
%{_mandir}/man1/*
/etc/X11/applnk/Applications/xterm.desktop
%{_datadir}/pixmaps/xterm*.xpm
%{x11_app_defaults_dir}/KOI8RXTerm*
%{x11_app_defaults_dir}/UXTerm*
%{x11_app_defaults_dir}/XTerm*
/usr/linux/bin/*


%changelog
* Fri Jul 15 2011 Michael Perzl <michael@perzl.org> - 271-1
- updated to version 271

* Tue Apr 26 2011 Michael Perzl <michael@perzl.org> - 270-1
- updated to version 270

* Fri Dec 03 2010 Michael Perzl <michael@perzl.org> - 267-1
- first version for AIX V5.1 and higher
